/* basics */
:root{
  --black:#000;
  --dark:#333;
  --night:#002;
  --red:#930;
  --yellow:#fc0;
}
*,html{overflow-x:hidden;overflow-y:hidden;pointer-events:inherit;}
body,form{margin:0;padding:0;}
.clear{clear:both;}
.nomarginleft{margin-left:0 !important;}

/* font */
@font-face {
  font-family:'OdibeeSans';
  src:url('OdibeeSans-Regular.ttf') format('truetype');
}

/* desktop */
body{font-family:'OdibeeSans',sans;letter-spacing:0;font-size:40px;line-height:40px;font-weight:300;background-color:var(--night);color:var(--yellow);text-shadow:0 0 2px 0 var(--dark);}
.smaller{font-size:0.65em;line-height:1em;margin:1em 0 0 3.5em;}
.desktop{display:block;}
.mobile{display:none;}
#cover1,#cover2{position:fixed;top:0;z-index:999;height:100vh;width:50vw;background-color:var(--night);}
#cover1{left:0;}
#cover2{right:0;}
.cover1hide{margin-left:-50vw;transition:all 0.5s 1.5s ease-in-out;}
.cover2hide{margin-right:-50vw;transition:all 0.5s 1.5s ease-in-out;}
#level{position:absolute;z-index:100;top:0px;right:0px;padding:5px;}
#start{position:absolute;z-index:100;top:0;left:0;margin:38vh 0 0 42vw;font-size:1em;line-height:1em;text-transform:uppercase;display:none;}
#gameover{position:absolute;z-index:100;top:0;left:0;margin:43vh 0 0 44vw;font-size:1em;line-height:1em;text-transform:uppercase;display:none;}
#plr{position:absolute;z-index:20;display:none;}
.ship{width:30px;height:40px;}
.ship>polygon{stroke:var(--yellow);stroke-width:2px;fill:var(--yellow);filter:drop-shadow(0 0 2px var(--black));}
.rock{position:absolute;z-index:50;}
.rock-x{width:120px;height:120px;}
.rock-m{width:80px;height:80px;}
.rock-s{width:40px;height:40px;}
.rock>polygon{stroke:var(--dark);stroke-width:2px;fill:var(--yellow);filter:drop-shadow(0 0 2px var(--black));}
.show-elem{display:block !important;}
.hide-elem{display:none !important;}

/* mobile */
@media(max-width:960px){
  body{font-size:28px;line-height:28px;}
  .desktop{display:none;}
  .mobile{display:block;}
  #start{margin:46vh 0 0 34vw;}
  #gameover{margin:46vh 0 0 34vw;}
  .ship{width:25px;height:30px;}
  .ship>polygon{transform:scale(0.75);}
  .rock-x{width:80px;height:80px;}
  .rock-m{width:60px;height:60px;}
  .rock-s{width:30px;height:30px;}
  .rock>polygon{transform:scale(0.65);}
}